Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonDefine.cs	(revision 57)
@@ -93,6 +93,7 @@
         /// </summary>
         public static int AdminSecurityManagement = -1;
 
+        #region 旧機密管理
         /// <summary>
         /// 旧機密管理番号
         /// </summary>
@@ -123,6 +124,8 @@
                                                                                 new KeyValuePair<int,string>(2,"統括責任者"),
                                                                                 new KeyValuePair<int,string>(3,"所　属　長"),
                                                                                 new KeyValuePair<int,string>(4,"一般使用者")};
+        #endregion
+
         /// <summary>
         /// 機密管理番号
         /// </summary>
@@ -508,8 +511,8 @@
         /// <summary>
         /// 申請状態色
         /// </summary>
-        public static Color[] ApprovalBackColorStatusColor = new Color[] { Color.Blue, Color.Yellow, Color.MediumSpringGreen, Color.Red, Color.LightSkyBlue, Color.LightBlue };
-        public static Color[] ApprovalForeColorStatusColor = new Color[] { Color.White, Color.Black, Color.Black, Color.Black, Color.Black, Color.Black };
+        public static Color[] ApprovalBackStatusColor = new Color[] { Color.Blue, Color.Yellow, Color.MediumSpringGreen, Color.Red, Color.LightSkyBlue, Color.LightBlue };
+        public static Color[] ApprovalForeStatusColor = new Color[] { Color.White, Color.Black, Color.Black, Color.Black, Color.Black, Color.Black };
 
         /// <summary>
         /// 承認状態文字
Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 57)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 14;
+        public static int s_SystemVersion = 15;
 
         /// <summary>
         /// コピー・環境バージョン
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 57)
@@ -77,7 +77,8 @@
             PaymentConfirmation = 30,           // 30:入金確認
             RequestInput = 31,                  // 31:請求入力
             RequestPrint = 32,                  // 32:請求書印刷
-            CostomerRegist = 33,                // 33:発注者登録申請
+            CostomerRegistList = 33,            // 33:発注者登録申請一覧
+            CostomerRegist = 34,                // 34:発注者登録申請
         }
         #endregion
 
@@ -175,6 +176,7 @@
                                                                                 { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認"},
                                                                                 { (int)ProcessExecuteNo.RequestInput,           "請求入力"},
                                                                                 { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"},
+                                                                                { (int)ProcessExecuteNo.CostomerRegistList,     "発注者登録申請一覧"},
                                                                                 { (int)ProcessExecuteNo.CostomerRegist,         "発注者登録申請"},
         };
 
@@ -480,7 +482,12 @@
                         case (int)ProcessExecuteNo.PersonApprovalList:                  // 22:担当者承認申請一覧
                             ProcessExecuteNo_PersonAppList(m_ProcControlPara[NowPoint]);
                             break;
-                        case (int)ProcessExecuteNo.CostomerRegist:                      // 33:発注者登録申請
+
+                        case (int)ProcessExecuteNo.CostomerRegistList:                  // 33:発注者登録申請一覧
+                            ProcessExecuteNo_CostomerRegistList(m_ProcControlPara[NowPoint]);
+                            break;
+
+                        case (int)ProcessExecuteNo.CostomerRegist:                      // 34:発注者登録申請
                             ProcessExecuteNo_CostomerRegist(m_ProcControlPara[NowPoint]);
                             break;
 
@@ -1665,9 +1672,9 @@
 
                 // パラメータセット
                 frm.PersonCode = CurrentPara.IntExecParameter[0];
-                if (CurrentPara.StringExecParameter.Count > 0)
+                if (CurrentPara.DateExecParameter.Count > 0)
                 {
-                    frm.OrdertDate = CommonMotions.cnvDate(CurrentPara.StringExecParameter[0]);
+                    frm.OrdertDate = CurrentPara.DateExecParameter[0];
                 }
 
                 // フォーム表示
@@ -1685,12 +1692,12 @@
         }
         #endregion
 
-        #region 発注者登録申請
+        #region 発注者登録申請一覧
         /// <summary>
-        /// 発注者登録申請
+        /// 発注者登録申請一覧
         /// </summary>
         /// <param name="CurrentPara"></param>
-        public static void ProcessExecuteNo_CostomerRegist(ProcessParameter CurrentPara)
+        public static void ProcessExecuteNo_CostomerRegistList(ProcessParameter CurrentPara)
         {
             //　発注者登録申請一覧
             FrmCostomerRegistList frm = new FrmCostomerRegistList();
@@ -1698,7 +1705,51 @@
             {
                 // フォーム表示
                 frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
 
+        #region 発注者登録申請一覧
+        /// <summary>
+        /// 発注者登録申請一覧
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_CostomerRegist(ProcessParameter CurrentPara)
+        {
+            //　発注者登録申請
+            FrmCostomerRegist frm = new FrmCostomerRegist();
+            try
+            {
+                // 自分のハンドルをリストへセットする
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.DRWork;
+                ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
+                ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
+
+                // 起動・編集フラグ
+                int EditFlg = (int)CommonDefine.ProcessDataEdit.Reference;
+                if (!ClsSecurityPermission.GetExecutePermission(ProcessNo, ref EditFlg))
+                {
+                    BackProcess();
+                    return;
+                }
+                if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
+
+                // パラメータセット
+                frm.PersonCode = CurrentPara.IntExecParameter[0];
+                frm.CreateDate = CurrentPara.DateExecParameter[0];
+                frm.SeqNo = CurrentPara.IntExecParameter[1];
+
+                // フォーム表示
+                frm.ShowDialog();
             }
             catch (Exception ex)
             {
@@ -2723,8 +2774,11 @@
                 frm.PersonCode = CurrentPara.IntExecParameter[0];
                 frm.ApprovalCode = CurrentPara.IntExecParameter[1];
                 frm.OrderNo = CurrentPara.IntExecParameter[2];
-                frm.OrderDate = CommonMotions.cnvDate(CurrentPara.StringExecParameter[0]);
+                frm.OrderDate = CurrentPara.DateExecParameter[0];
 
+                if (CurrentPara.DateExecParameter.Count > 1) frm.DataSearchDate = CurrentPara.DateExecParameter[1];
+                if (CurrentPara.IntExecParameter.Count > 3) frm.DataSearchSeqNo = CurrentPara.IntExecParameter[3];
+                
                 // フォーム表示
                 frm.ShowDialog();
             }
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 57)
@@ -54,6 +54,10 @@
             /// </summary>
             TotalOverTimes,
             /// <summary>
+            ///  申請日
+            /// </summary>
+            OrderDate,
+            /// <summary>
             /// 申請受付番号
             /// </summary>
             OrderNo,
@@ -94,6 +98,7 @@
             strcmd += " ,LastDays";                                         // 当月最終日
             strcmd += " ,AttendDayCount";                                   // 出勤日数
             strcmd += " ,TotalOverTimes";                                   // 残業時間数
+            strcmd += " ,OrderDate";                                        // 申請日
             strcmd += " ,OrderNo";                                          // 申請受付番号
             strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";      // 登録年月日
             strcmd += " ,TO_CHAR(UpdateDate, 'YYYY/MM/DD HH24:MI:ss')";     // 更新年月日
@@ -180,16 +185,16 @@
             try
             {
                 strcmd = "INSERT INTO AttendanceData";
-                strcmd += "  (PersonCode";      // 担当者コード
-                strcmd += " ,AttendanceMonth";  // 出勤管理年月
-                strcmd += " ,LastDays";         // 当月最終日
-                strcmd += " ,AttendDayCount";   // 出勤日数
-                strcmd += " ,TotalOverTimes";   // 残業時間数
-                strcmd += " ,OrderNo";          // 申請受付番号
-                strcmd += " ,EntryDate";        // 登録年月日
-                strcmd += " ,UpdateDate)";      // 更新年月日
 
-                strcmd += " VALUES (";
+                strcmd += "(";
+                bool bFirst = true;
+                foreach (var gender in Enum.GetValues(typeof(DataColumn)))
+                {
+                    if (!bFirst) strcmd += " ,";
+                    strcmd += gender.ToString();
+                    bFirst = false;
+                }
+                strcmd += ") VALUES (";
 
                 strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
                 strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
@@ -197,6 +202,8 @@
                 strcmd += string.Format(", {0}", work.LastDays);                        // 当月最終日
                 strcmd += string.Format(", {0}", work.AttendDayCount);                  // 出勤日数
                 strcmd += string.Format(", {0}", work.TotalOverTimes);                  // 残業時間数
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')"
+                                            , work.OrderDate.ToShortDateString());      // 申請日
                 strcmd += string.Format(", {0}", work.OrderNo);                         // 申請受付番号
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -253,11 +260,11 @@
                 strcmd += " SET";
 
                 strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
-                strcmd += string.Format(" ,AttendanceMonth = TO_DATE('{0}','YYYY/MM/DD')"
-                                        , data.AttendanceMonth.ToShortDateString());            // 出勤管理年月
+                strcmd += string.Format(" ,AttendanceMonth = TO_DATE('{0}','YYYY/MM/DD')", data.AttendanceMonth.ToShortDateString());   // 出勤管理年月
                 strcmd += string.Format(" ,LastDays =  {0} ", data.LastDays);                   // 当月最終日
                 strcmd += string.Format(" ,AttendDayCount =  {0} ", data.AttendDayCount);       // 出勤日数
                 strcmd += string.Format(" ,TotalOverTimes =  {0} ", data.TotalOverTimes);       // 残業時間数
+                strcmd += string.Format(" ,OrderDate = TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());   // 申請日
                 strcmd += string.Format(" ,OrderNo =  {0} ", data.OrderNo);                     // 申請受付番号
                 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -336,6 +343,9 @@
                     case (int)DataColumn.TotalOverTimes:
                         strcmd += string.Format(" TotalOverTimes = {0}", (double)value);
                         break;
+                    case (int)DataColumn.OrderDate:
+                        strcmd += string.Format(" OrderDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
                     case (int)DataColumn.OrderNo:
                         strcmd += string.Format(" OrderNo = {0}", (int)value);
                         break;
@@ -372,6 +382,7 @@
                 wrk.LastDays = int.Parse(objwrk[(int)DataColumn.LastDays].ToString());                      // 当月最終日
                 wrk.AttendDayCount = int.Parse(objwrk[(int)DataColumn.AttendDayCount].ToString());          // 出勤日数
                 wrk.TotalOverTimes = double.Parse(objwrk[(int)DataColumn.TotalOverTimes].ToString());       // 残業時間数
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)DataColumn.OrderDate].ToString());               // 申請日
                 wrk.OrderNo = int.Parse(objwrk[(int)DataColumn.OrderNo].ToString());                        // 申請受付番号
                 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOConstructionBudgetDetail.cs	(revision 57)
@@ -458,16 +458,19 @@
         /// <param name="GroupCount"></param>
         /// <param name="LineCount"></param>
         /// <returns></returns>
-        public string CreatePrimarykeyString(int ConstructionCode, int GroupCount = 0, int LineCount = 0)
+        public string CreatePrimarykeyString(int ConstructionCode, int GroupCount = 0, int LineCount = 0, string Alias = "")
         {
             string strWork = "";
             try
             {
-                strWork = string.Format(" Where ConstructionCode = {0}", ConstructionCode);
+                string strAlias = string.Empty;
+                if (Alias.Length != 0) strAlias = string.Format("{0}.", Alias);
+
+                strWork = string.Format(" Where {0}ConstructionCode = {1}", strAlias, ConstructionCode);
                 if (GroupCount != 0)
-                    strWork += string.Format(" And GroupCount = {0}", GroupCount);
+                    strWork += string.Format(" And {0}GroupCount = {1}", strAlias, GroupCount);
                 if (LineCount != 0)
-                    strWork += string.Format(" And LineCount = {0}", LineCount);
+                    strWork += string.Format(" And {0}LineCount = {1}", strAlias, LineCount);
             }
             catch (Exception ex)
             {
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(revision 56)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOCostomerRegist.cs	(revision 57)
@@ -34,11 +34,10 @@
         /// </summary>
         public enum DataColumn
         {
-            PetitionNo = 0,
+            PersonCode = 0,
+            CreateDate,
             SeqNo,
             PetitionPeriod,
-            PersonCode,
-            PetitionDate,
             OrderFlg,
             CorporateStatusName,
             CorporateStatusPoint,
@@ -55,6 +54,7 @@
             MailAddress,
             Note,
             OrderCotegory,
+            OrderDate,
             OrderNo,
             EntryDate,
             UpdateDate,
@@ -83,11 +83,11 @@
         private string CreateSelectSQL()
         {
             string strcmd = "SELECT";
-            strcmd += " PetitionNo";
+            strcmd += "  PersonCode";
+            strcmd += " ,TO_CHAR(CreateDate, 'YYYY/MM/DD')";
             strcmd += " ,SeqNo";
+
             strcmd += " ,PetitionPeriod";
-            strcmd += " ,PersonCode";
-            strcmd += " ,TO_CHAR(PetitionDate, 'YYYY/MM/DD')";
             strcmd += " ,OrderFlg";
             strcmd += " ,CorporateStatusName";
             strcmd += " ,CorporateStatusPoint";
@@ -104,6 +104,7 @@
             strcmd += " ,MailAddress";
             strcmd += " ,Note";
             strcmd += " ,OrderCotegory";
+            strcmd += " ,TO_CHAR(OrderDate, 'YYYY/MM/DD')";
             strcmd += " ,OrderNo";
 
             strcmd += " ,TO_CHAR(EntryDate, 'YYYY/MM/DD HH24:MI:ss')";
@@ -218,11 +219,10 @@
 
                 strcmd += ") VALUES (";
 
-                strcmd += string.Format("  {0}", work.PetitionNo);
+                strcmd += string.Format("  {0}", work.PersonCode);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", work.CreateDate.ToShortDateString());
                 strcmd += string.Format(", {0}", work.SeqNo);
                 strcmd += string.Format(", {0}", work.PetitionPeriod);
-                strcmd += string.Format(", {0}", work.PersonCode);
-                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", work.PetitionDate.ToShortDateString());
                 strcmd += string.Format(", {0}", work.OrderFlg);
                 strcmd += string.Format(", '{0}'", work.CorporateStatusName);
                 strcmd += string.Format(", {0}", work.CorporateStatusPoint);
@@ -239,6 +239,7 @@
                 strcmd += string.Format(", '{0}'", work.MailAddress);
                 strcmd += string.Format(", '{0}'", work.Note);
                 strcmd += string.Format(", {0}", work.OrderCotegory);
+                strcmd += string.Format(", TO_DATE('{0}','YYYY/MM/DD')", work.OrderDate.ToShortDateString());
                 strcmd += string.Format(", {0}", work.OrderNo);
 
                 strcmd += ", TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -299,11 +300,10 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" PetitionNo = {0}", data.PetitionNo);
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);
+                strcmd += string.Format(", CreateDate = TO_DATE('{0}','YYYY/MM/DD')", data.CreateDate.ToShortDateString());
                 strcmd += string.Format(", SeqNo = {0}", data.SeqNo);
                 strcmd += string.Format(", PetitionPeriod = {0}", data.PetitionPeriod);
-                strcmd += string.Format(", PersonCode = {0}", data.PersonCode);
-                strcmd += string.Format(", PetitionDate = TO_DATE('{0}','YYYY/MM/DD')", data.PetitionDate.ToShortDateString());
                 strcmd += string.Format(", OrderFlg = {0}", data.OrderFlg);
                 strcmd += string.Format(", CorporateStatusName = '{0}'", data.CorporateStatusName);
                 strcmd += string.Format(", CorporateStatusPoint = {0}", data.CorporateStatusPoint);
@@ -320,6 +320,7 @@
                 strcmd += string.Format(", MailAddress = '{0}'", data.MailAddress);
                 strcmd += string.Format(", Note = '{0}'", data.Note);
                 strcmd += string.Format(", OrderCotegory = {0}", data.OrderCotegory);
+                strcmd += string.Format(", OrderDate = TO_DATE('{0}','YYYY/MM/DD')", data.OrderDate.ToShortDateString());
                 strcmd += string.Format(", OrderNo = {0}", data.OrderNo);
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
@@ -369,7 +370,7 @@
         /// 1項目の更新を行う
         /// </summary>
         /// <returns></returns>
-        public bool UpdateFeild(int PetitionNo, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        public bool UpdateFeild(int PersonCode, DateTime CreateDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
         {
             string strcmd = "";
             try
@@ -379,9 +380,12 @@
                 strcmd += " SET";
                 switch (FeildNo)
                 {
-                    case (int)DataColumn.PetitionNo:
-                        strcmd += string.Format(" PetitionNo = {0}", ((int)value).ToString());
+                    case (int)DataColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
                         break;
+                    case (int)DataColumn.CreateDate:
+                        strcmd += string.Format(" CreateDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
                     case (int)DataColumn.SeqNo:
                         strcmd += string.Format(" SeqNo = {0}", ((int)value).ToString());
                         break;
@@ -388,12 +392,6 @@
                     case (int)DataColumn.PetitionPeriod:
                         strcmd += string.Format(" PetitionPeriod = {0}", ((int)value).ToString());
                         break;
-                    case (int)DataColumn.PersonCode:
-                        strcmd += string.Format(" PersonCode = {0}", ((int)value).ToString());
-                        break;
-                    case (int)DataColumn.PetitionDate:
-                        strcmd += string.Format(" PetitionDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
-                        break;
                     case (int)DataColumn.OrderFlg:
                         strcmd += string.Format(" OrderFlg = {0}", ((int)value).ToString());
                         break;
@@ -442,6 +440,9 @@
                     case (int)DataColumn.OrderCotegory:
                         strcmd += string.Format(" OrderCotegory = {0}", ((int)value).ToString());
                         break;
+                    case (int)DataColumn.OrderDate:
+                        strcmd += string.Format(" OrderDate = TO_DATE('{0}','YYYY/MM/DD')", ((DateTime)value).ToShortDateString());
+                        break;
                     case (int)DataColumn.OrderNo:
                         strcmd += string.Format(" OrderNo = {0}", ((int)value).ToString());
                         break;
@@ -448,7 +449,7 @@
                 }
 
                 strcmd += ", UpdateDate = TO_DATE(TO_CHAR(sysdate,'YYYY/MM/DD HH24:MI:SS'),'YYYY/MM/DD HH24:MI:SS')";
-                strcmd += CreatePrimarykeyString(PetitionNo, SeqNo);
+                strcmd += CreatePrimarykeyString(PersonCode, CreateDate, SeqNo);
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
 
@@ -473,12 +474,11 @@
             try
             {
                 // データ取得
-                wrk.PetitionNo = int.Parse(objwrk[(int)DataColumn.PetitionNo].ToString());
+                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());
+                wrk.CreateDate = DateTime.Parse(objwrk[(int)DataColumn.CreateDate].ToString());
                 wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());
                 wrk.PetitionPeriod = int.Parse(objwrk[(int)DataColumn.PetitionPeriod].ToString());
-                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());
                 wrk.OrderFlg = int.Parse(objwrk[(int)DataColumn.OrderFlg].ToString());
-                wrk.PetitionDate = DateTime.Parse(objwrk[(int)DataColumn.PetitionDate].ToString());
                 wrk.CorporateStatusName = objwrk[(int)DataColumn.CorporateStatusName].ToString();
                 wrk.CorporateStatusPoint = int.Parse(objwrk[(int)DataColumn.CorporateStatusPoint].ToString());
 
@@ -495,6 +495,7 @@
                 wrk.MailAddress = objwrk[(int)DataColumn.MailAddress].ToString();
                 wrk.Note = objwrk[(int)DataColumn.Note].ToString();
                 wrk.OrderCotegory = int.Parse(objwrk[(int)DataColumn.OrderCotegory].ToString());
+                wrk.OrderDate = DateTime.Parse(objwrk[(int)DataColumn.OrderDate].ToString());
                 wrk.OrderNo = int.Parse(objwrk[(int)DataColumn.OrderNo].ToString());
 
                 wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
@@ -556,12 +557,14 @@
         /// </summary>
         /// <param name="ItemCode">大工種キー</param>
         /// <returns>Where文字列</returns>
-        public string CreatePrimarykeyString(int PetitionNo, int SeqNo = 0)
+        public string CreatePrimarykeyString(int PersonCode, DateTime CaretaDate, int SeqNo = 0)
         {
             string strWork = "";
             try
             {
-                strWork = string.Format(" WHERE PetitionNo = {0}", PetitionNo);
+                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                if (CaretaDate != DateTime.MinValue)
+                    strWork += string.Format(" AND CreateDate = TO_DATE('{0}','YYYY/MM/DD')", CaretaDate.ToShortDateString());
                 if (SeqNo != 0)
                     strWork += string.Format(" AND SeqNo = {0}", SeqNo);
             }
